zxdg_shell_v6_listener Struct Reference
The zxdg_shell_v6 interface

`#include <xdg-shell-unstable-v6-client-protocol.h>`

## Data Fields

void(* | ping )(void *data, struct zxdg_shell_v6 *zxdg_shell_v6, uint32_t serial)

## Detailed Description

Definition at line 336 of file xdg-shell-unstable-v6-client-protocol.h.

## Field Documentation

## ping

void(* zxdg_shell_v6_listener::ping) (void *data, struct zxdg_shell_v6 *zxdg_shell_v6, uint32_t serial)

check if the client is alive

The ping event asks the client if it's still alive. Pass the serial specified in the event back to the compositor by sending a "pong" request back with the specified serial. See xdg_shell.ping.

Compositors can use this to determine if the client is still alive. It's unspecified what will happen if the client doesn't respond to the ping request, or in what timeframe. Clients should try to respond in a reasonable amount of time.

A compositor is free to ping in any way it wants, but a client must always respond to any xdg_shell object it created.

Parameters

  serial | pass this to the pong request

Definition at line 354 of file xdg-shell-unstable-v6-client-protocol.h.

The documentation for this struct was generated from the following file:

- gen/xdg-shell-unstable-v6-client-protocol.h